package m05bSancionesEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bSanciones;

public interface m05Sanciones extends EJBObject{

/**
 * This is the Remote Interface for the Entity EJB <tt>M05SancionesEB</tt>.
 *
 * @see     m05.exe.Sanciones
 * @see     m05.exe.M05SancionesEBHome
 * @see     m05.exe.M05SancionesEBPK
 * @see     m05.exe.M05SancionesEBBean
*/


  public String getSan_codigo() throws RemoteException;
  public void setSan_codigo(String n) throws RemoteException;

  public String getSan_tipo()throws RemoteException;
  public void setSan_tipo(String n)throws RemoteException;

  public String getSan_matricula()throws RemoteException;
  public void setSan_matricula(String n)throws RemoteException;

  public String getSan_codorg()throws RemoteException;
  public void setSan_codorg(String n)throws RemoteException;

  public String getSan_dni()throws RemoteException;
  public void setSan_dni(String n)throws RemoteException;

  public String getSan_fnotcon()throws RemoteException;
  public void setSan_fnotcon(String n)throws RemoteException;

  public String getSan_descorg()throws RemoteException;
  public void setSan_descorg(String n)throws RemoteException;

  public String getSan_frecep()throws RemoteException;
  public void setSan_frecep(String n)throws RemoteException;

  public String getSan_fdenuncia()throws RemoteException;
  public void setSan_fdenuncia(String n)throws RemoteException;

  public String getSan_frecdatos()throws RemoteException;
  public void setSan_frecdatos(String n)throws RemoteException;

  public String getSan_nexdenuncia()throws RemoteException;
  public void setSan_nexdenuncia(String n)throws RemoteException;

  public String getSan_fsancion()throws RemoteException;
  public void setSan_fsancion(String n)throws RemoteException;

  public String getSan_nexsancion()throws RemoteException;
  public void setSan_nexsancion(String n)throws RemoteException;

  public String getSan_fnotdatos()throws RemoteException;
  public void setSan_fnotdatos(String n)throws RemoteException;

  public String getSan_fapremio()throws RemoteException;
  public void setSan_fapremio(String n)throws RemoteException;

  public String getSan_fresolucion()throws RemoteException;
  public void setSan_fresolucion(String n)throws RemoteException;


  /**
   * Returns the Revisiones information of this E-EJB.
   */
  public m05bSanciones getSanciones()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException
   *              If the given Sanciones <tt>san_codigo</tt> field
   *              does not match the primary key that is in the E-EJB.
   */


}
